/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Trip
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Trip {
  @SerializedName("origin")
  private String origin = null;

  @SerializedName("destination")
  private String destination = null;

  @SerializedName("cost")
  private BigDecimal cost = null;

  public Trip origin(String origin) {
    this.origin = origin;
    return this;
  }

   /**
   * Origin of the trip, ISO-3166-1 alpha-2 format (2 letter codes)
   * @return origin
  **/
  @ApiModelProperty(example = "fr", required = true, value = "Origin of the trip, ISO-3166-1 alpha-2 format (2 letter codes)")
  public String getOrigin() {
    return origin;
  }

  public void setOrigin(String origin) {
    this.origin = origin;
  }

  public Trip destination(String destination) {
    this.destination = destination;
    return this;
  }

   /**
   * Destination of the trip, ISO-3166-1 alpha-2 format (2 letter codes)
   * @return destination
  **/
  @ApiModelProperty(example = "de", required = true, value = "Destination of the trip, ISO-3166-1 alpha-2 format (2 letter codes)")
  public String getDestination() {
    return destination;
  }

  public void setDestination(String destination) {
    this.destination = destination;
  }

  public Trip cost(BigDecimal cost) {
    this.cost = cost;
    return this;
  }

   /**
   * Cost of the trip, numeric, with 2 or 3 decimals (greater than 0)
   * @return cost
  **/
  @ApiModelProperty(example = "150.0", required = true, value = "Cost of the trip, numeric, with 2 or 3 decimals (greater than 0)")
  public BigDecimal getCost() {
    return cost;
  }

  public void setCost(BigDecimal cost) {
    this.cost = cost;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Trip trip = (Trip) o;
    return Objects.equals(this.origin, trip.origin) &&
        Objects.equals(this.destination, trip.destination) &&
        Objects.equals(this.cost, trip.cost);
  }

  @Override
  public int hashCode() {
    return Objects.hash(origin, destination, cost);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Trip {\n");
    
    sb.append("    origin: ").append(toIndentedString(origin)).append("\n");
    sb.append("    destination: ").append(toIndentedString(destination)).append("\n");
    sb.append("    cost: ").append(toIndentedString(cost)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

